Skip to main content
POST
/
send-money
/
cancel
Cancel send money
curl --request POST \
  --url https://sandbox.kulmipay.com/api/v1/send-money/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_id": "<string>"
}
'
{
  "transactions": [
    {
      "account": "<string>",
      "amount": "<string>",
      "transaction_id": "<string>",
      "status": "<string>",
      "status_code": "<string>",
      "request_reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider": "<string>",
      "name": "<string>",
      "account_reference": "<string>",
      "provider_reference": "<string>",
      "provider_account_name": "<string>",
      "charge": "<string>",
      "narrative": "<string>",
      "file_id": "<string>",
      "currency": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "wallet": {
    "available_balance": "<string>",
    "wallet_id": "<string>",
    "label": "<string>",
    "can_disburse": true,
    "current_balance": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "file_id": "<string>",
  "tracking_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "batch_reference": "<string>",
  "status": "<string>",
  "status_code": "<string>",
  "actual_charges": "<string>",
  "paid_amount": "<string>",
  "failed_amount": "<string>",
  "charge_estimate": "<string>",
  "total_amount_estimate": "<string>",
  "total_amount": "<string>",
  "transactions_count": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ISSecretKey_test_xxxxxxxxxxxxxxxx
required

Use your KulmiPay secret key as the Bearer token.

Body

application/json
file_id
string
required
Minimum string length: 1

Response

200 - application/json
transactions
object[]
required
wallet
object
required
file_id
string
read-only
tracking_id
string<uuid>
batch_reference
string | null
Maximum string length: 70
status
string
read-only
status_code
string
read-only
actual_charges
string
read-only
paid_amount
string
read-only
failed_amount
string
read-only
charge_estimate
string
read-only
total_amount_estimate
string
read-only
total_amount
string
read-only
transactions_count
string
read-only
created_at
string<date-time> | null
read-only
updated_at
string<date-time> | null
read-only